package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class VirtualFibreChannelMappings {
    private String group;
    private Metadata metadata;
    private List<VirtualFibreChannelMapping> virtualFibreChannelMappingList;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public List<VirtualFibreChannelMapping> getVirtualFibreChannelMappingList() {
        return virtualFibreChannelMappingList;
    }

    public void setVirtualFibreChannelMappingList(List<VirtualFibreChannelMapping> virtualFibreChannelMappingList) {
        this.virtualFibreChannelMappingList = virtualFibreChannelMappingList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
